Function
find
Search for a Pattern in a Finder object.
find(finder, pattern)
find(finder, pattern, k)
Include Headers
seqan/find.h
Parameters

finder | The Finder object to search through. Types: Finder, Rooted Iterator Remarks: For online-algorithm patterns, finder can also be an arbitrary Rooted Iterator.
pattern | The Pattern object to search for. Types: Pattern Remarks: For index finders, pattern can also be a Sequence.
k | Desired minimal score (for approximate matching). Remarks: k has to be a number <= 0. Differences are deletions, insertions and substitutions.

Remarks
Repeated calls of this function iterate through all occurences of pattern.
Return Values
boolean that indicates whether an occurence of pattern was found or not.
Example Programs
Index Finder, Approximate Searching, Index Finder StringSet
See Also
getScore, findBegin
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47